* {
    box-sizing: border-box;
    margin: 0;
}

body {
    background-color:#e9f3ff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
}

header {
    background-color: #3E5879;
    color: white;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.izbornik {
    display: flex;
    justify-content: center;
    gap: 15px;
    background-color: #3E5879; 
    padding: 10px; 
    border-radius: 10px; 
}

.izbornik a {
    text-decoration: none;
    color: white; 
    font-size: 16px; 
    padding: 10px; 
    border-radius: 5px;
    background-color: #576f92; 
}

.izbornik a:hover {
    background-color: #7289ab; 
    transform: scale(1.1); 
}

.izbornik a:active {
    background-color: #2b3e57; 
    transform: scale(0.95);
}

main {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.uvod {
    gap: 20px;
    width: 100%;
    max-width: 1000px;
    background-color:white;
    padding: 15px;
    border-radius: 10px;
    line-height: 1.6;
    flex-basis: 550px; 
    max-width: 65%;
}

.sadrzaj {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 10px;
    width: 100%;
    max-width: 960px;
    margin: auto;
    text-align: center;
}

.pitanje {
    font-size: 30px;
    color: #3E5879;
}

.odgovori {
    display: flex;
    flex-wrap: wrap;
    text-align: justify;
    gap: 20px;
    justify-content: center;
}

.odgovori p {
    background-color: white;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    line-height: 1.6;
    flex-basis: 300px; 
    flex-grow: 1;
    max-width: 60%;
}

.slike{
    display: flex;
    justify-content: center;
    align-items: center;
}

.slika {
    height: 200px;
    width: 300px;
    border-radius: 10px;
}

footer {
    background-color: #3E5879;
    color: white;
    padding: 10px;
    display: flex;
    justify-content: space-around;
    font-size: larger;
}
